<?php


/*


+-----------------------------------------------------------------------+


Plugin Name: HDavecPrefixe


Version: 2.0-beta2


Description: Permet le nommage des photos en haute dfinition avec un prefixe au choix


Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=274


Author:Didou


Author URI:www.mimamou.fr


+-----------------------------------------------------------------------+


| This program is free software; you can redistribute it and/or modify  |


| it under the terms of the GNU General Public License as published by  |


| the Free Software Foundation                                          |


|                                                                       |


| This program is distributed in the hope that it will be useful, but   |


| WITHOUT ANY WARRANTY; without even the implied warranty of            |


| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |


| General Public License for more details.                              |


|                                                                       |


| You should have received a copy of the GNU General Public License     |


| along with this program; if not, write to the Free Software           |


| Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |


| USA.                                                                  |


+-----------------------------------------------------------------------+


*/





if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');





$plugin_name = basename(dirname(__FILE__));


$plugin_path = dirname(__FILE__).'/';


$plugin_url = get_root_url();





// ---- Initialisation


include_once($plugin_path.'/include/hdprefixe_class.inc.php');


$obj = new HDPrefixe();


$obj->load_config();





//add_event_handler('get_high_url',array(&$obj, 'modif_url'));


add_event_handler('get_high_location',array(&$obj, 'modif_location'), $priority=EVENT_HANDLER_PRIORITY_NEUTRAL, $accepted_args=3);


if(isset($_GET['page'])and isset($_POST['submit'])and !isset($_POST['simulate'])){
	if($_GET['page']=='site_update' and $_POST['submit']=='Valider' and $obj->my_config['Synchro']=='true' and $obj->my_config['Erreurs']=='true'){
		add_event_handler('loc_after_page_header',array(&$obj, 'avant_synchro'), $priority=EVENT_HANDLER_PRIORITY_NEUTRAL);
	}
}


if(isset($_GET['page'])and isset($_POST['submit'])and !isset($_POST['simulate'])){
	if($_GET['page']=='site_update' and $_POST['submit']=='Valider' and $obj->my_config['Synchro']=='true'){
		add_event_handler('loc_begin_page_tail',array(&$obj, 'synchro_has_high'), $priority=EVENT_HANDLER_PRIORITY_NEUTRAL);
	}
}





// ---- Administration


add_event_handler('get_admin_plugin_menu_links', 'HDavecPrefixe_plugin_admin_menu');





function HDavecPrefixe_plugin_admin_menu($menu)


{


	array_push($menu, array(


				'NAME' => 'HDavecPrefixe', 


				'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin/hdprefixe_config.php'), 


			));


	return $menu;


} 





set_plugin_data($plugin['id'], $obj)


?>